%define name	timemachine
%define version	0.3.3
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	Records audio up to ten seconds ago
Version: 	%{version}
Release: 	%{release}
Source:		%{name}-%{version}.tar.xz
URL:		http://plugin.org.uk/timemachine/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#-------------------------------------------
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}jack-devel
BuildRequires: %{_lib}lash2-devel
BuildRequires: %{_lib}lo-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}readline-devel
BuildRequires: %{_lib}sndfile-devel
BuildRequires: %{_lib}uuid-devel
#-------------------------------------------

%description
I used to always keep a minidisc recorder in my studio running in a mode where
when you pressed record it wrote the last 10 seconds of audio to the disk and
then caught up to realtime and kept recording. The recorder died and haven't
been able to replace it, so this is a simple jack app to do the same job. It
has the advantage that it never clips and can be wired to any part of the jack
graph.

The idea is that I doodle away with whatever is kicking around in my studio
and when I heard an interesting noise, I'd press record and capture it,
without having to try and recreate it. :)

I've been using it to record occasional bursts of interesting noise from jack
apps feeding back into each other. It seems to be stable for me, but there
could be threading issues and race condidtions if run without SCHED_FIFO (ie.
without jackd -R).

%prep
%setup -q

%build
export CFLAGS="$CFLAGS -lm"
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#menu

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=JACK TimeMachine
Comment=Records audio from ten seconds ago
Exec=%{_bindir}/%{name}
Icon=sound_section
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio;
Encoding=UTF-8
EOF

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop



%changelog
* Thu Jun 25 2015 gseaman <galen.seaman at comcast.net> 0.3.3-1gseaman2015
- build for PCLinuxOS from mdv spec
